html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}
body {
  line-height: 1;
}
ol, ul {
  list-style: none;
}
blockquote, q {
  quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}
@font-face{font-family: 'ocraregular';src: url("fonts/ocra-webfont.eot");src: url("fonts/ocra-webfont.eot?#iefix") format("embedded-opentype"),url("fonts/ocra-webfont.woff") format("woff"),url("fonts/ocra-webfont.ttf") format("truetype"),url("fonts/ocra-webfont.svg#ocraregular") format("svg");font-weight: normal;font-style: normal}

body {
  background: #f0f0f0;
  font-family: "ocraregular", monospace;
}

* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

a {
  text-decoration: none;
  color: black;
}

#the-calculator {
  font-size: 1.2em;
  display: block;
  margin: 0;
  padding: 20px;
  background: #000;
  -moz-background-clip: padding-box;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  font-family: "ocraregular", monospace;
}
#the-calculator button,
#the-calculator input,
#the-calculator #total {
  font-size: 1em;
  display: inline-block;
  position: relative;
  padding: 12px;
  font-family: "ocraregular", monospace;
  min-height: 47px;
}
#the-calculator button .exponent,
#the-calculator input .exponent,
#the-calculator #total .exponent {
  font-size: 0.6em;
  position: absolute;
}
#the-calculator button .denominator,
#the-calculator input .denominator,
#the-calculator #total .denominator {
  position: relative;
}
#the-calculator button .denominator .denom-top,
#the-calculator input .denominator .denom-top,
#the-calculator #total .denominator .denom-top {
  font-size: 0.75em;
  position: absolute;
  left: -8px;
}
#the-calculator button .denominator .denom-slash,
#the-calculator input .denominator .denom-slash,
#the-calculator #total .denominator .denom-slash {
  padding: 0px 2px;
}
#the-calculator button .denominator .denom-btm,
#the-calculator input .denominator .denom-btm,
#the-calculator #total .denominator .denom-btm {
  font-size: 0.75em;
  position: absolute;
  bottom: 0px;
}
#the-calculator #the-display {
  width: 100%;
}
#the-calculator #the-display #total {
  width: 98%;
  margin: 0 auto 8px;
  display: block;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  -moz-background-clip: padding-box;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  font-size: 1.2em;
  color: #2f2f2f;
  background: #37FEA6;
  text-align: right;
  overflow: hidden;
  text-overflow: ellipsis;
}
#the-calculator #the-buttons {
  width: 100%;
}
#the-calculator #the-buttons #extra-buttons {
  margin-top: 12px;
  padding-top: 12px;
  border-top: 1px solid #333;
}
#the-calculator #the-buttons .button-row {
  width: 100%;
  zoom: 1;
}
#the-calculator #the-buttons .button-row:before,
#the-calculator #the-buttons .button-row:after {
  content: "";
  display: table;
}
#the-calculator #the-buttons .button-row:after {
  clear: both;
}
#the-calculator #the-buttons .button-row:before,
#the-calculator #the-buttons .button-row:after {
  content: "";
  display: table;
}
#the-calculator #the-buttons .button-row:after {
  clear: both;
}
#the-calculator #the-buttons .button-row button {
  width: 22.7%;
  margin: 1.25%;
  float: left;
  border: none;
  background: #37505d;
  background: -webkit-gradient(linear, left bottom, left top, color-stop(0, #37505d), color-stop(1, #273942));
  background: -ms-linear-gradient(bottom, #37505d, #273942);
  background: -moz-linear-gradient(center bottom, #37505d 0%, #273942 100%);
  background: -o-linear-gradient(#273942, #37505d);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#273942', endColorstr='#37505d', GradientType=0);
  border: 1px solid transparent;
  color: #f0f0f0;
  cursor: pointer;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  -moz-background-clip: padding-box;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  /*letter-spacing: 8px;*/
  white-space: nowrap;
}
#the-calculator #the-buttons .button-row button.digit {
  background: #363636;
  background: -webkit-gradient(linear, left bottom, left top, color-stop(0, #363636), color-stop(1, #292929));
  background: -ms-linear-gradient(bottom, #363636, #292929);
  background: -moz-linear-gradient(center bottom, #363636 0%, #292929 100%);
  background: -o-linear-gradient(#292929, #363636);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#292929', endColorstr='#363636', GradientType=0);
}
#the-calculator #the-buttons .button-row button:last-child {
  margin-right: 0;
  float: right;
}
#the-calculator #the-buttons .button-row button:hover,
#the-calculator #the-buttons .button-row button.hovering {
  -moz-opacity: 0.85;
  -khtml-opacity: 0.85;
  -webkit-opacity: 0.85;
  opacity: 0.85;
  -ms-filter: progid:DXImageTransform.Microsoft.Alpha(opacity=85);
  filter: alpha(opacity=85);
}
#the-calculator #the-buttons .button-row button:focus {
  outline: none;
  border: 1px solid #999;
}
#the-calculator button.doubleW {
  width: 48%!important;
}
#the-calculator button.doubleH {
  min-height: 94px!important;
}
#the-calculator button span.kern {
  letter-spacing: -4px;
}
#the-calculator #the-buttons #calc_clear {
  background: #d42124;
  background: -webkit-gradient(linear, left bottom, left top, color-stop(0, #982022), color-stop(1, #d42124));
  background: -ms-linear-gradient(bottom, #982022, #d42124);
  background: -moz-linear-gradient(center bottom, #982022 0%, #d42124 100%);
  background: -o-linear-gradient(#d42124, #982022);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#d42124', endColorstr='#982022', GradientType=0);
}
#the-calculator #the-buttons #calc_back, #the-calculator #the-buttons #calc_del, #the-calculator #the-buttons #calc_taxplus, #the-calculator #the-buttons #calc_taxminus {
  background: #565656;
  background: -webkit-gradient(linear, left bottom, left top, color-stop(0, #565656), color-stop(1, #6b6b6b));
  background: -ms-linear-gradient(bottom, #565656, #6b6b6b);
  background: -moz-linear-gradient(center bottom, #565656 0%, #6b6b6b 100%);
  background: -o-linear-gradient(#6b6b6b, #565656);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#6b6b6b', endColorstr='#565656', GradientType=0);
}
#the-calculator #the-buttons #calc_eval {
  background: #f1f1f1;
   background: -webkit-gradient(linear, left bottom, left top, color-stop(0, #cdcdcd), color-stop(1, #f1f1f1));
  background: -ms-linear-gradient(bottom, #cdcdcd, #f1f1f1);
  background: -moz-linear-gradient(center bottom, #cdcdcd 0%, #f1f1f1 100%);
  background: -o-linear-gradient(#f1f1f1, #cdcdcd);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f1f1f1', endColorstr='#cdcdcd', GradientType=0);
  color: #000;
}
#the-calculator #the-buttons #calc_plus {
  background: #b94a00;
   background: -webkit-gradient(linear, left bottom, left top, color-stop(0, #f60), color-stop(1, #b94a00));
  background: -ms-linear-gradient(bottom, #f60, #b94a00);
  background: -moz-linear-gradient(center bottom, #f60 0%, #b94a00 100%);
  background: -o-linear-gradient(#b94a00, #f60);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#b94a00', endColorstr='#f60', GradientType=0);
}
#the-calculator #the-buttons #calc_copy {
  background: #393;
  background: -webkit-gradient(linear, left bottom, left top, color-stop(0, #005800), color-stop(1, #393));
  background: -ms-linear-gradient(bottom, #005800, #393);
  background: -moz-linear-gradient(center bottom, #005800 0%, #393 100%);
  background: -o-linear-gradient(#393, #005800);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#393', endColorstr='#005800', GradientType=0);
}
#the-results {
  width: 80%;
  margin: 10px auto 0 auto;
  background: #000;
  -moz-background-clip: padding-box;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  -ms-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  position: relative;
}
input {
  display: inline-block;
  width: 70px;
  font-family: "ocraregular", monospace;
  font-size: 16px;
  text-align: center;
  margin: 15px auto;
  border: 1px solid transparent;
  outline: none;
  background: transparent;
}
input:hover {
  border: 1px solid #000;
}
input:focus {
  border: 1px solid #f60;
}
#fn {
  width: 80%;
  margin: 0 auto;
  text-align: center;
  position: relative;
}
#prc {
  clear: right;
  float: left;
  margin: 30px auto;
  padding-top: 10px;
  width: 100%;
  border-top: 1px solid #ccc;
  text-align: center;
}
#prc input {
  width: 25%;
}
.placeholder {
	opacity: 0.5;
	filter: alpha(opacity=50);
	-webkit-user-select: none;
	-moz-user-select: none;
	-o-user-select: none;
	-ms-user-select: none;
	user-select: none;
}
.placeholder:hover, .placeholder:focus {
	border: 1px solid transparent;
}
#result_clear {
  position: absolute;
  right: 0;
  margin-top: 2px;
}
#result_clear:hover {
  color: #d42124;
}
#the-results ul {
  height: 500px;
  overflow-y: scroll;
  list-style: none;
  padding: 0;
  margin: 0;
  background: rgba(0, 0, 0, 0.1);
  font-size: 0.8em;
}
#the-results ul li {
  font-size: 0.8em;
  width: 100%;
  -ms-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  height: 40px;
  line-height: 40px;
}
#the-results ul li#result_default {
  text-align: center;
  color: #a9a9a9;
  font-weight: 200;
}
#the-results ul li.result {
  display: none;
  font-size: 0.8em;
  color: #f9f9f9;
  background: #4e4e4e;
  zoom: 1;
  position: relative;
  border-bottom: 1px solid #f60;
}
#the-results ul li.result:before,
#the-results ul li.result:after {
  content: "";
  display: table;
}
#the-results ul li.result:after {
  clear: both;
}
#the-results ul li.result:before,
#the-results ul li.result:after {
  content: "";
  display: table;
}
#the-results ul li.result:after {
  clear: both;
}
#the-results ul li.result:nth-child(even) {
  background: #2b2b2b;
}
#the-results ul li.result:nth-child(even) .answer {
  background: #484848;
}
#the-results ul li.result .equation,
#the-results ul li.result .answer {
  display: inline-block;
  padding: 0px 12px;
  -ms-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  height: 60px;
  line-height: 40px;
  text-overflow: ellipsis;
  letter-spacing: -1px;
}
#the-results ul li.result .equation {
  float: left;
  height: 100%;
}
#the-results ul li.result .answer {
  position: absolute;
  right: 74px;
  top: 0;
  height: 100%;
  background: #6a6a6a;
}
#the-results ul li.result .use {
  height: 100%;
}
#the-results ul li.result .use a, #the-results ul li.result a.use1, #the-results ul li.result a.use2 {
  background: #393;
  position: absolute;
  right: 32px;
  top: 0;
  height: 100%;
  display: block;
  padding: 0px 8px;
  width: 42px;
  text-align: center;
  text-decoration: none;
  margin: 0;
  font-size: 0.9em;
  cursor: pointer;
  border: none;
  color: #f9f9f9;
}
#the-results ul li.result a.calc_use1, #the-results ul li.result a.calc_use2 {
  width: 32px;
  background: transparent;
  height: 20px;
  right: 0;
  text-align: center;
  line-height: 17px;
  display: block;
  padding: 0;
}
#the-results ul li.result a.calc_use1 {
  top: 0px;
  background: #e77626;
}
#the-results ul li.result a.calc_use2 {
  top: 19px;
  background: #1867d8;
}
#the-results ul li.result .use a:hover,
#the-results ul li.result .use:active {
  -moz-opacity: 0.7;
  -khtml-opacity: 0.7;
  -webkit-opacity: 0.7;
  opacity: 0.7;
  -ms-filter: progid:DXImageTransform.Microsoft.Alpha(opacity=70);
  filter: alpha(opacity=70);
}
@media only screen and (min-width: 375px) {
  #container {
    width: 80%;
    margin: 10px auto;
  }
}
@media only screen and (min-width: 485px) {
  #container {
    width: 65%;
  }
}
@media only screen and (min-width: 620px) {
  #container {
    width: 620px;
    margin: 10px auto;
  }
  #the-calculator, #the-results {
    width: 49%;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
  }
  #the-calculator {
    float: left;
  }
  #the-results {
    float: right;
    margin: 0;
  }
  #fn {
    clear: right;
    width: 49%;
    float: right;
  }
}